We are mirthful to announce the release of:

oslo.utils 3.17.0: Oslo Utility library

This release is part of the ocata release series.

The source is available from:

    http://git.openstack.org/cgit/openstack/oslo.utils

Download the package from:

    https://pypi.python.org/pypi/oslo.utils

Please report issues through launchpad:

    http://bugs.launchpad.net/oslo.utils

For more details, please see below.

Changes in oslo.utils 3.16.0..3.17.0
------------------------------------

e4c9a25 Add method is_valid_mac
e988157 Make method import_versioned_module work
31ed2a2 Change assertTrue(isinstance()) by optimal assert
0068712 doc: Fix docstring of method bool_from_string
e38afc1 Change assertTrue(isinstance()) by optimal assert
feb3a1b Add method is_valid_boolstr
e82a560 Add method is_valid_ipv6_cidr
c28347d Updated from global requirements
c95229c Updated from global requirements
676bdb3 Add missing specs_matcher documentation
8345aa0 Update homepage with developer documentation page
32cc400 Updated from global requirements
402a6e6 Updated from global requirements
d1e08f5 Add utils for validating and splitting quotes
06ff3e3 Updated from global requirements
f43d78d Extend specs matcher to support ">" and "<"
c5918ad Remove discover from test-requirements


Diffstat (except docs and test files)
-------------------------------------

oslo_utils/importutils.py              | 22 ++++++++++++++----
oslo_utils/netutils.py                 | 34 +++++++++++++++++++++++++++
oslo_utils/specs_matcher.py            |  3 +++
oslo_utils/strutils.py                 | 42 ++++++++++++++++++++++++++++++----
requirements.txt                       |  2 +-
setup.cfg                              |  2 +-
test-requirements.txt                  |  9 ++++----
16 files changed, 256 insertions(+), 20 deletions(-)


Requirements updates
--------------------

diff --git a/requirements.txt b/requirements.txt
index af47d66..94ea957 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -17 +17 @@ pytz>=2013.6 # MIT
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
diff --git a/test-requirements.txt b/test-requirements.txt
index 80a559c..c0c35e1 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -7 +6,0 @@ hacking<0.11,>=0.10.0
-discover # BSD
@@ -21,2 +20,2 @@ coverage>=3.6 # Apache-2.0
-sphinx!=1.3b1,<1.3,>=1.2.1 # BSD
-oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0
+sphinx!=1.3b1,<1.4,>=1.2.1 # BSD
+oslosphinx>=4.7.0 # Apache-2.0
@@ -28 +27 @@ mock>=2.0 # BSD
-oslo.config>=3.12.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
@@ -31 +30 @@ oslo.config>=3.12.0 # Apache-2.0
-bandit>=1.0.1 # Apache-2.0
+bandit>=1.1.0 # Apache-2.0



__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to